import request from '@/utils/request'

// 查询分机列表
export function listVoiceSeat(query) {
  return request({
    url: '/adminSaas/voiceSeat/list',
    method: 'get',
    params: query
  })
}

// 查询分机池列表
export function listPoolVoiceSeat(query) {
  return request({
    url: '/adminSaas/voiceSeat/poolList',
    method: 'get',
    params: query
  })
}

// 查询分机详情
export function getVoiceSeat(id) {
  return request({
    url: '/adminSaas/voiceSeat/' + id,
    method: 'get'
  })
}

// 分配分机到公司
export function assignVoiceSeat(data) {
  return request({
    url: '/adminSaas/voiceSeat/assign',
    method: 'post',
    data: data
  })
}

// 公司下拉选项
export function getCompanyOptions() {
  return request({
    url: '/his/company/companyList',
    method: 'get'
  })
}
